import { Frequency } from '@modules/ad/core/domain/ad.types';

export const intToFrequency = (frequencyAsInt: number): Frequency => {
  if (frequencyAsInt == 1) return Frequency.PUNCTUAL;
  if (frequencyAsInt == 2) return Frequency.RECURRENT;
  throw new Error('Unknown frequency value');
};
